## ros-indigo-jackal-control 0.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jackal_control)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/control.launch)
roslaunch_add_file_check(launch/teleop.launch)

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-jackal-control (0.5.4-0trusty) trusty; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-indigo-jackal-control (0.5.3-0trusty) trusty; urgency=high

  * Added support for PS4 controller.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-indigo-jackal-control (0.5.2-0trusty) trusty; urgency=high

  * Removed reference to FootprintLayer.
  * Increased inflation radius to account for uneven wall in Jackal_world.
  * Added pointgrey camera and accessories.
  * Improve robot_localiztion params
  * Added Sick LMS1XX URDF.
  * Fixed example calibration output.
  * Added tutorials.
  * Contributors: Mike Purvis, Martin Cote, Tony Baltovski, James Servos

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Feb 2016 05:00:00 -0000

ros-indigo-jackal-control (0.5.1-0trusty) trusty; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-indigo-jackal-control (0.5.0-0trusty) trusty; urgency=high

  * Support disabling the joystick for simulation when only the interactive markers are desired for teleop.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-indigo-jackal-control (0.4.2-0trusty) trusty; urgency=high

  * Shorten timeout for the controller spawner's shutdown.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-indigo-jackal-control (0.4.1-0trusty) trusty; urgency=high

  * Remove fork of diff_drive_controller.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-indigo-jackal-control (0.4.0-0trusty) trusty; urgency=high

  * added joystick argumant.
  * Adding imu0_differential setting (=true) to control.yaml
  * Add dep for joint state controller.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr, Tom Moore

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-indigo-jackal-control (0.3.0-0trusty) trusty; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-jackal-control (0.2.1-0trusty) trusty; urgency=high

  * Depend on diff_drive_controller.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-indigo-jackal-control (0.2.0-0trusty) trusty; urgency=high

  * Add fork of diff_drive_controller.
  * Fix run_depend elements.
  * Fix remap for the interactive markers.
  * New jackal_control package.
    This is launchers and configuration common to simulated and real
    Jackal, including controller, localization, and teleop.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-jackal-control
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://wiki.ros.org/jackal_control
Standards-Version: 3.9.2

Package: ros-indigo-jackal-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diff-drive-controller, ros-indigo-interactive-marker-twist-server, ros-indigo-joint-state-controller, ros-indigo-joy, ros-indigo-robot-localization, ros-indigo-teleop-twist-joy, ros-indigo-topic-tools
Description: Controllers for Jackal

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jackal-control//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
